package com.xhpc.common.data.redis;

import com.xhpc.common.data.up.BaseData;

//订单实时数据
public class CacheRealtimeData extends BaseData {

    private String orderNo; //交易流水号
    private String pileNo; //桩号
    private String gunId; //枪号
    private String status; //状态
    private String pileGunStatus; //枪是否归位
    private String vehicleGunStatus; //是否插枪
    private Integer workingVoltage; //输出电压
    private Integer workingCurrent; //输出电流
    private Integer gunLineTemperature; //枪线温度
    private String gunLineNumber; //枪线编码
    private Integer soc; //
    private Integer maxTemperature; //电池组最高温度
    private Integer chargingTime; //累计充电时间
    private Integer remainingTime; //剩余时间
    private Integer chargingDegree; //充电度数
    private Integer lossChargingDegree; //记损充电度数
    private Integer amountCharged; //已充金额
    private String hardwareFault; //硬件故障

    public String getOrderNo() {

        return orderNo;
    }

    public void setOrderNo(String orderNo) {

        this.orderNo = orderNo;
    }

    public String getPileNo() {

        return pileNo;
    }

    public void setPileNo(String pileNo) {

        this.pileNo = pileNo;
    }

    public String getGunId() {

        return gunId;
    }

    public void setGunId(String gunId) {

        this.gunId = gunId;
    }

    public String getStatus() {

        return status;
    }

    public void setStatus(String status) {

        this.status = status;
    }

    public String getPileGunStatus() {

        return pileGunStatus;
    }

    public void setPileGunStatus(String pileGunStatus) {

        this.pileGunStatus = pileGunStatus;
    }

    public String getVehicleGunStatus() {

        return vehicleGunStatus;
    }

    public void setVehicleGunStatus(String vehicleGunStatus) {

        this.vehicleGunStatus = vehicleGunStatus;
    }

    public Integer getWorkingVoltage() {

        return workingVoltage;
    }

    public void setWorkingVoltage(Integer workingVoltage) {

        this.workingVoltage = workingVoltage;
    }

    public Integer getWorkingCurrent() {

        return workingCurrent;
    }

    public void setWorkingCurrent(Integer workingCurrent) {

        this.workingCurrent = workingCurrent;
    }

    public Integer getGunLineTemperature() {

        return gunLineTemperature;
    }

    public void setGunLineTemperature(Integer gunLineTemperature) {

        this.gunLineTemperature = gunLineTemperature;
    }

    public String getGunLineNumber() {

        return gunLineNumber;
    }

    public void setGunLineNumber(String gunLineNumber) {

        this.gunLineNumber = gunLineNumber;
    }

    public Integer getSoc() {

        return soc;
    }

    public void setSoc(Integer soc) {

        this.soc = soc;
    }

    public Integer getMaxTemperature() {

        return maxTemperature;
    }

    public void setMaxTemperature(Integer maxTemperature) {

        this.maxTemperature = maxTemperature;
    }

    public Integer getChargingTime() {

        return chargingTime;
    }

    public void setChargingTime(Integer chargingTime) {

        this.chargingTime = chargingTime;
    }

    public Integer getRemainingTime() {

        return remainingTime;
    }

    public void setRemainingTime(Integer remainingTime) {

        this.remainingTime = remainingTime;
    }

    public Integer getChargingDegree() {

        return chargingDegree;
    }

    public void setChargingDegree(Integer chargingDegree) {

        this.chargingDegree = chargingDegree;
    }

    public Integer getLossChargingDegree() {

        return lossChargingDegree;
    }

    public void setLossChargingDegree(Integer lossChargingDegree) {

        this.lossChargingDegree = lossChargingDegree;
    }

    public Integer getAmountCharged() {

        return amountCharged;
    }

    public void setAmountCharged(Integer amountCharged) {

        this.amountCharged = amountCharged;
    }

    public String getHardwareFault() {

        return hardwareFault;
    }

    public void setHardwareFault(String hardwareFault) {

        this.hardwareFault = hardwareFault;
    }

}
